XAMPP - wrong ELF class: ELFCLASS64

If you have added an extension in your php.ini and you are getting this error while restarting XAMPP or running command  /opt/lampp/bin/php -v as well as as extension is not working, it means you are using 64 bit .so file(extension) in 32 bit XAMPP.

You can get this error while installing ioncube loader .so file, mongo.so file or in similar extension.

Download 32 bit version of .so file and put it in right place in xampp directory.
Mention it in php.ini file and Restart xampp .

Your extension should not be failed this time.

No comments:

Post a Comment

Related Posts Plugin for WordPress, Blogger...